package com.supervision.pdfqaserver.dto;

import com.supervision.pdfqaserver.domain.Intention;
import lombok.Data;

/**
 * 意图实体
 */
@Data
public class IntentDTO {

    private String id;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 描述详情
     */
    private String desc;

    /**
     * 领域分类id
     */
    private String domainCategoryId;


    /**
     * 数据来源：0=手动录入，1=系统自动
     */
    private String generationType;

    public IntentDTO(Intention intention){
        this.id = intention.getId();
        this.digest = intention.getDigest();
        this.desc = intention.getDesc();
        this.domainCategoryId = intention.getDomainCategoryId();
        this.generationType = intention.getGenerationType();
    }
}
